Arch MergeWalls: Difference between revisions

From FreeCAD Documentation
m (docnav)
No edit summary
(11 intermediate revisions by 3 users not shown)
Line 1: Line 1:
<languages/>
<languages/>
{{Template:UnfinishedDocu}}
<translate>
<translate>
<!--T:5-->
{{docnav|[[Arch_CloseHoles|Close Holes]]|[[Arch_Check|Check]]|[[Arch_Module|Arch]]}}
{{docnav|[[Arch_CloseHoles|Close Holes]]|[[Arch_Check|Check]]|[[Arch_Module|Arch]]|IconL=Arch_CloseHoles.svg |IconC=Workbench_Arch.svg |IconR=Arch_Check.svg}}


<!--T:1-->
<!--T:1-->
Line 14: Line 14:
==Description== <!--T:2-->
==Description== <!--T:2-->


<!--T:6-->
The [[Arch MergeWalls|MergeWalls]] tool fuses two or more selected [[Arch Wall]]s.
The [[Arch MergeWalls|MergeWalls]] tool fuses two or more selected {{Button|[[Image: Arch_Wall.svg|16px]] [[Arch Wall|Arch Walls]]}}.


==How to use== <!--T:3-->
==Usage== <!--T:3-->


<!--T:7-->
# Select two or more walls.
# Select two or more walls.
# Go to the menu {{MenuCommand|Arch → Utilities → [[Image:Arch MergeWalls.svg|16px]] Merge Walls}}.
# Press the {{KEY|[[Image:Arch MergeWalls.svg|16px]]}} button, or use the {{KEY|Arch}}{{KEY|Utilities}}{{KEY|[[Image:Arch MergeWalls.svg|16px]] [[Arch MergeWalls|Merge Walls]]}} from the top menu.


==Properties== <!--T:14-->
== Scripting ==

==Limitations== <!--T:15-->

== Scripting == <!--T:8-->
{{Emphasis|See also:}} [[Arch API]] and [[FreeCAD Scripting Basics]].
{{Emphasis|See also:}} [[Arch API]] and [[FreeCAD Scripting Basics]].


<!--T:9-->
This tool can be used in [[macros]] and from the [[Python]] console by using the following function:
This tool can be used in [[macros]] and from the [[Python]] console by using the following function:
</translate>
</translate>
Line 31: Line 38:
<translate>
<translate>


<!--T:10-->
Example:
Example:
</translate>
</translate>
Line 48: Line 56:
}}
}}
<translate>
<translate>
<!--T:11-->
{{docnav|[[Arch_CloseHoles|Close Holes]]|[[Arch_Check|Check]]|[[Arch_Module|Arch]]}}
{{docnav|[[Arch_CloseHoles|Close Holes]]|[[Arch_Check|Check]]|[[Arch_Module|Arch]]|IconL=Arch_CloseHoles.svg |IconC=Workbench_Arch.svg |IconR=Arch_Check.svg}}


<!--T:4-->
{{Arch Tools navi}}
{{Userdocnavi}}
</translate>
</translate>
{{Arch Tools navi{{#translation:}}}}

{{Userdocnavi{{#translation:}}}}

Revision as of 21:47, 19 February 2020

Arch MergeWalls

Menu location
Arch → Utilities → Merge Walls
Workbenches
Arch
Default shortcut
None
Introduced in version
-
See also
Arch Wall

Description

The MergeWalls tool fuses two or more selected Arch Walls.

Usage

  1. Select two or more walls.
  2. Press the button, or use the ArchUtilities Merge Walls from the top menu.

Properties

Limitations

Scripting

See also: Arch API and FreeCAD Scripting Basics.

This tool can be used in macros and from the Python console by using the following function:

base = joinWalls(walls, delete=False)

Example:

import FreeCAD, Draft, Arch

p1 = FreeCAD.Vector(0, 0, 0)
p2 = FreeCAD.Vector(2000, 0, 0)
baseline = Draft.makeLine(p1, p2)
Wall1 = Arch.makeWall(baseline, length=None, width=150, height=2000)
FreeCAD.ActiveDocument.recompute()

Wall2 = Arch.makeWall(None, length=2000, width=200, height=1000)
FreeCAD.ActiveDocument.recompute() 

base = Arch.joinWalls([Wall1, Wall2])